package domain


type AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo struct {
    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道店ID     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        盒马主单号     */
    BizOrderId  *string `json:"biz_order_id,omitempty" `

    /*
        同意退款子单     */
    AgreeSubOrders  *[]AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm `json:"agree_sub_orders,omitempty" `

    /*
        外部退款批次Id     */
    OutRefundBatchId  *string `json:"out_refund_batch_id,omitempty" `

}

func (s *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo) SetStoreId(v string) *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo) SetShopId(v string) *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo) SetBizOrderId(v string) *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo) SetAgreeSubOrders(v []AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm) *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo {
    s.AgreeSubOrders = &v
    return s
}
func (s *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo) SetOutRefundBatchId(v string) *AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo {
    s.OutRefundBatchId = &v
    return s
}
